﻿using System.Collections.Generic;

#nullable enable
namespace IRCRobots
{
    public class ConnectionParams
    {
        public string Nickname { get; set; }
        public string Host { get; set; }
        public int Port { get; set; }
        public bool UseTLS { get; set; }
        public string? Username { get; set; } = null;
        public string? Realname { get; set; } = null;
        public string? Bindhost { get; set; } = null;
        public string? Password { get; set; } = null;
        public bool VerifyTLS { get; set; } = true;
        public SASLParams? SASL { get; set; } = null;
        public STSPolicy? STS { get; set; } = null;
        public ResumePolicy? Resume { get; set; } = null;
        public int Reconnect { get; set; } = 10; // seconds
        public IEnumerable<string> AltNicknames { get; set; } = new List<string>();
        public IEnumerable<string> Autojoin { get; set; } = new List<string>();
    }
}
